# ListableConverterRegistry class abstract

A ConverterRegistry that also provides access to registered UriValidator instances.

This interface extends ConverterRegistry and adds the capability to retrieve all registered validators for URI validation.

### 🔧 Example

    final validators = conversionService.getUriValidators();
    validators.forEach((validator) {
      print(validator.errorMessage);
    });

Inheritance
  - Object
  - ConverterRegistry
  - ListableConverterRegistry

## Constructors

ListableConverterRegistry.new()
  A ConverterRegistry that also provides access to registered UriValidator instances.
  const

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

addConverter<S, T>(Converter<S, T> converter, {Class<S>? sourceType, Class<T>? targetType}) → void
  Registers a simple Converter from one specific source type to one target type.
  inherited
addConverterFactory(ConverterFactory converterFactory) → void
  Registers a ConverterFactory that can produce Converter instances for a target type.
  inherited
addNullSourceConverter(GenericNullConverter converter) → void
  Adds a new GenericNullConverter to the list of registered converters.
  inherited
addPairedConverter(PairedConverter converter) → void
  Registers a PairedConverter capable of converting between multiple types.
  inherited
addUriValidator(UriValidator validator) → void
  Adds a new UriValidator to the list of registered validators.
  inherited
getUriValidators() → List<UriValidator>
  Returns a list of registered UriValidator instances.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
remove(Class sourceType, Class targetType) → void
  Removes a registered converter between the specified source and target types.
  inherited
removeNullSourceConverter(GenericNullConverter converter) → void
  Removes a registered GenericNullConverter.
  inherited
removeUriValidator(UriValidator validator) → void
  Removes a registered UriValidator.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited